Subject: bug#54014: guix home pinentry weirdness

From: Zacchaeus Scheffer <[email-masked]>
Date: Tue, 15 Feb 2022 13:46:50 -0500

Hi Guix,

There seems to be some problem installing password-store + pinentry
entirely via guix home.  When I have both installed as such, I get the
following outputs:

$ pinentry
OK Pleased to meet you
<C-c>
$ gpg --import ...
[prompts normally with pinentry, allows me to import]
$ pass
[my password entries]
$ pass [entry name]
gpg: decryption failed: No secret key
$ guix package -i pinentry
$ pass [entry name]
[prompts with pinentry and works normally]

So pinentry and pass seem to both be available, but don't work together
unless I install pinentry via guix package.

My guix install is about two months behind, so sorry if this has already
been patched.

-Zacchaeus